## vboot-utils 0~R99

=== Makefile ===
# Copyright 2013 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# This Makefile normally builds in a 'build' subdir, but use
#
#    make BUILD=<dir>
#
# to put the output somewhere else.

##############################################################################
# Make variables come in two flavors, immediate or deferred.
#
#   Variable definitions are parsed like this:
#
#        IMMEDIATE = DEFERRED
#    or
#        IMMEDIATE := IMMEDIATE
#
#   Rules are parsed this way:
#
#        IMMEDIATE : IMMEDIATE
#           DEFERRED
#
# So you can assign variables in any order if they're only to be used in
# actions, but if you use a variable in either the target or prerequisite of a
# rule, the rule will be constructed using only the top-down, immediate value.
#
# So we'll try to define all the variables first. Then the rules.
#

##############################################################################
# Configuration variables come first.
#
# Our convention is that we only use := for variables that will never be
# changed or appended. They must be defined before being used anywhere.

# We should only run pwd once, not every time we refer to ${BUILD}.
SRCDIR := $(shell pwd)
export SRCDIR
BUILD = ${SRCDIR}/build
export BUILD

# Stuff for 'make install'
INSTALL = install
DESTDIR = /
LIBDIR ?= lib

# Default values
DEV_DEBUG_FORCE=

# Where exactly do the pieces go?
#  UB_DIR = utility binary directory
#  ULP_DIR = pkgconfig directory, usually /usr/lib/pkgconfig
#  UI_DIR = include directory for library headers
#  US_DIR = shared data directory (for static content like devkeys)
#  DF_DIR = utility defaults directory
#  VB_DIR = vboot binary directory for dev-mode-only scripts
#  DUT_TEST_DIR = vboot dut tests binary directory
UB_DIR=${DESTDIR}/usr/bin
UL_DIR=${DESTDIR}/usr/${LIBDIR}
ULP_DIR=${UL_DIR}/pkgconfig
UI_DIR=${DESTDIR}/usr/include/vboot
US_DIR=${DESTDIR}/usr/share/vboot
DF_DIR=${DESTDIR}/etc/default
VB_DIR=${US_DIR}/bin
DUT_TEST_DIR=${US_DIR}/tests

# Where to install the (exportable) executables for testing?
TEST_INSTALL_DIR = ${BUILD}/install_for_test

# Set when installing into the SDK instead of building for a board sysroot.
SDK_BUILD ?=

# Verbose? Use V=1
ifeq ($(filter-out 0,${V}),)
Q := @
endif

# Quiet? Use QUIET=1
ifeq ($(filter-out 0,${QUIET}),)
PRINTF := printf
else
PRINTF := :
endif

# Architecture detection
_machname := $(shell uname -m)
HOST_ARCH ?= ${_machname}

# ARCH and/or FIRMWARE_ARCH are defined by the Chromium OS ebuild.
# Pick a valid target architecture if none is defined.
ifeq (${ARCH},)
  ARCH := ${HOST_ARCH}
endif

ifeq (${ARCH},armv7l)
  override ARCH := arm
else ifneq (,$(filter aarch64 arm64,${ARCH}))
  override ARCH := arm
else ifeq (${ARCH},i386)
  override ARCH := x86
else ifeq (${ARCH},i686)
  override ARCH := x86
else ifeq (${ARCH},amd64)
  override ARCH := x86_64
endif

ifneq ($(wildcard host/arch/${ARCH}/lib/crossystem_arch.c),)
	CROSSYSTEM_ARCH_C := host/arch/${ARCH}/lib/crossystem_arch.c
else
	CROSSYSTEM_ARCH_C := host/arch/stub/lib/crossystem_arch.c
endif

# FIRMWARE_ARCH is only defined by the Chromium OS ebuild if compiling
# for a firmware target (coreboot or depthcharge). It must map to the same
# consistent set of architectures as the host.
ifeq (${FIRMWARE_ARCH},i386)
  override FIRMWARE_ARCH := x86
else ifeq (${FIRMWARE_ARCH},amd64)
  override FIRMWARE_ARCH := x86_64
else ifeq (${FIRMWARE_ARCH},armv7)
  override FIRMWARE_ARCH := arm
endif

# Provide default CC and CFLAGS for firmware builds; if you have any -D flags,
# please add them after this point (e.g., -DVBOOT_DEBUG).
DEBUG_FLAGS := $(if $(filter-out 0,${DEBUG}),-g -Og,-g -Os)
WERROR := -Werror
FIRMWARE_FLAGS := -nostdinc -ffreestanding -fno-builtin -fno-stack-protector
COMMON_FLAGS := -pipe ${WERROR} -Wall -Wstrict-prototypes -Wtype-limits \
	-Wundef -Wmissing-prototypes -Wno-trigraphs -Wredundant-decls -Wshadow \
	-Wwrite-strings -Wstrict-aliasing -Wdate-time \
	-ffunction-sections -fdata-sections \
	-Wformat -Wno-format-security ${DEBUG_FLAGS}

# FIRMWARE_ARCH is defined if compiling for a firmware target
# (coreboot or depthcharge).
ifeq (${FIRMWARE_ARCH},arm)
CC ?= armv7a-cros-linux-gnueabihf-gcc
CFLAGS ?= -march=armv5 -fno-common -ffixed-r8 -mfloat-abi=hard -marm
	-mabi=aapcs-linux -mno-thumb-interwork ${FIRMWARE_FLAGS} ${COMMON_FLAGS}
else ifeq (${FIRMWARE_ARCH},x86)
CC ?= i686-pc-linux-gnu-gcc
# Drop -march=i386 to permit use of SSE instructions
CFLAGS ?= -fvisibility=hidden -fomit-frame-pointer \
	-fno-toplevel-reorder -fno-dwarf2-cfi-asm -mpreferred-stack-boundary=2 \
	${FIRMWARE_FLAGS} ${COMMON_FLAGS}
else ifeq (${FIRMWARE_ARCH},x86_64)
CFLAGS ?= ${FIRMWARE_FLAGS} ${COMMON_FLAGS} -fvisibility=hidden \
	-fomit-frame-pointer
else
# FIRMWARE_ARCH not defined; assuming local compile.
CC ?= gcc
CFLAGS += -DCHROMEOS_ENVIRONMENT ${COMMON_FLAGS}
endif

CFLAGS += -std=gnu11

# test_ccflag
# $(1): compiler flags to test
# $(2): code to insert into test snippet
# returns: $(1) if compiler was successful, empty string otherwise
test_ccflag = $(shell \
	printf "$(2)\nvoid _start(void) {}\n" | \
	$(CC) -nostdlib -Werror $(1) -xc -c - -o /dev/null \
	>/dev/null 2>&1 && echo "$(1)")

COMMON_FLAGS += $(call test_ccflag,-Wimplicit-fallthrough)
COMMON_FLAGS += $(call test_ccflag,-Wno-address-of-packed-member)
COMMON_FLAGS += $(call test_ccflag,-Wno-unknown-warning)

# Needs -Wl because LD is actually set to CC by default.
LDFLAGS += -Wl,--gc-sections

ifneq ($(filter-out 0,${DEBUG})$(filter-out 0,${TEST_PRINT}),)
CFLAGS += -DVBOOT_DEBUG
endif

ifeq ($(filter-out 0,${DISABLE_NDEBUG}),)
CFLAGS += -DNDEBUG
endif

ifneq ($(filter-out 0,${FORCE_LOGGING_ON}),)
CFLAGS += -DFORCE_LOGGING_ON=${FORCE_LOGGING_ON}
endif

ifneq ($(filter-out 0,${TPM2_MODE}),)
CFLAGS += -DTPM2_MODE
endif

# Support devices with GPT in SPI-NOR (for nand device)
# TODO(b:184812319): Consider removing this code if nobody uses it.
ifneq ($(filter-out 0,${GPT_SPI_NOR}),)
CFLAGS += -DGPT_SPI_NOR
endif

# Enable EC early firmware selection.
ifneq ($(filter-out 0,${EC_EFS}),)
CFLAGS += -DEC_EFS=1
else
CFLAGS += -DEC_EFS=0
endif

# Some tests need to be disabled when using mocked_secdata_tpm.
ifneq ($(filter-out 0,${MOCK_TPM}),)
CFLAGS += -DMOCK_TPM
endif

# TPM2_SIMULATOR indicates whether the TPM2 simulator feature is enable or not.
ifneq ($(filter-out 0,${TPM2_SIMULATOR}),)
CFLAGS += -DTPM2_SIMULATOR=1
else
CFLAGS += -DTPM2_SIMULATOR=0
endif

# NOTE: We don't use these files but they are useful for other packages to
# query about required compiling/linking flags.
PC_IN_FILES = vboot_host.pc.in

# Create / use dependency files
CFLAGS += -MMD -MF $@.d

ifeq (${FIRMWARE_ARCH},)
# Creates position independent code for non firmware target.
CFLAGS += -fPIC
endif

CFLAGS += -D_GNU_SOURCE

# This is required to access large disks and files on 32-bit systems,
# but if the environment doesn't support it, at least compile support
# for what is possible.
# Pass through cflags_use_64bits to evaluate it only once, here.
cflags_use_64bits := $(call test_ccflag,-D_FILE_OFFSET_BITS=64,\#include <fts.h>)
CFLAGS += $(cflags_use_64bits)

# Code coverage
ifneq ($(filter-out 0,${COV}),)
  COV_FLAGS = -O0 --coverage -DCOVERAGE
  CFLAGS += ${COV_FLAGS}
  LDFLAGS += ${COV_FLAGS}
  COV_INFO = ${BUILD}/coverage.info
endif

ifdef HAVE_MACOS
  CFLAGS += -DHAVE_MACOS -Wno-deprecated-declarations
endif

# Musl doesn't have execinfo.h.
ifndef HAVE_MUSL
  CFLAGS += -DHAVE_EXECINFO_H
endif

# And a few more default utilities
LD = ${CC}
CXX ?= g++
PKG_CONFIG ?= pkg-config

# Static?
ifneq ($(filter-out 0,${STATIC}),)
LDFLAGS += -static
PKG_CONFIG += --static
endif

ifneq (${FUZZ_FLAGS},)
CFLAGS += ${FUZZ_FLAGS}
endif

# Optional Libraries
LIBZIP_VERSION := $(shell ${PKG_CONFIG} --modversion libzip 2>/dev/null)
HAVE_LIBZIP := $(if ${LIBZIP_VERSION},1)
ifneq ($(filter-out 0,${HAVE_LIBZIP}),)
  CFLAGS += -DHAVE_LIBZIP $(shell ${PKG_CONFIG} --cflags libzip)
  LIBZIP_LIBS := $(shell ${PKG_CONFIG} --libs libzip)
endif

HAVE_CROSID := $(shell ${PKG_CONFIG} --exists crosid && echo 1)
ifeq ($(HAVE_CROSID),1)
  CFLAGS += -DHAVE_CROSID $(shell ${PKG_CONFIG} --cflags crosid)
  CROSID_LIBS := $(shell ${PKG_CONFIG} --libs crosid)
endif

# Determine QEMU architecture needed, if any
ifeq (${ARCH},${HOST_ARCH})
  # Same architecture; no need for QEMU
  QEMU_ARCH :=
else ifeq (${HOST_ARCH}-${ARCH},x86_64-x86)
  # 64-bit host can run 32-bit targets directly
  QEMU_ARCH :=
else
  QEMU_ARCH := ${ARCH}
endif

# The top of the chroot for qemu must be passed in via the SYSROOT environment
# variable.  In the Chromium OS chroot, this is done automatically by the
# ebuild.

ifeq (${QEMU_ARCH},)
  # Path to build output for running tests is same as for building
  BUILD_RUN = ${BUILD}
  SRC_RUN = ${SRCDIR}
else
  $(info Using qemu for testing.)
  # Path to build output for running tests is different in the chroot
  BUILD_RUN = $(subst ${SYSROOT},,${BUILD})
  SRC_RUN = $(subst ${SYSROOT},,${SRCDIR})

  QEMU_BIN = qemu-${QEMU_ARCH}
  QEMU_RUN = ${BUILD_RUN}/${QEMU_BIN}
  export QEMU_RUN

  RUNTEST = tests/test_using_qemu.sh
endif

export BUILD_RUN

##############################################################################
# The default target is here, to allow dependencies to be expressed below
# without accidentally changing the default target.

# Default target.
.PHONY: all
all: fwlib futil utillib hostlib cgpt tlcl \
	$(if ${SDK_BUILD},${UTIL_FILES_SDK},${UTIL_FILES_BOARD}) \
	$(if $(filter x86_64,${ARCH}),$(if $(filter clang,${CC}),fuzzers)) \
	$(if $(filter-out 0,${COV}),coverage)

##############################################################################
# Now we need to describe everything we might want or need to build

# Everything wants these headers.
INCLUDES += \
	-Ifirmware/include \
	-Ifirmware/lib/include \
	-Ifirmware/lib/cgptlib/include \
	-Ifirmware/lib/cryptolib/include \
	-Ifirmware/lib/tpm_lite/include \
	-Ifirmware/2lib/include \
	-Ifirmware/lib20/include

# If we're not building for a specific target, just stub out things like the
# TPM commands and various external functions that are provided by the BIOS.
ifeq (${FIRMWARE_ARCH},)
INCLUDES += -Ihost/include -Ihost/lib/include
INCLUDES += -Ihost/lib21/include
ifeq ($(shell uname -s), OpenBSD)
INCLUDES += -I/usr/local/include
endif
endif

# Firmware library, used by the other firmware components (depthcharge,
# coreboot, etc.). It doesn't need exporting to some other place; they'll build
# this source tree locally and link to it directly.
FWLIB = ${BUILD}/vboot_fw.a

# Separate TPM lightweight command library (TLCL)
TLCL = ${BUILD}/tlcl.a

FWLIB_SRCS = \
	firmware/2lib/2api.c \
	firmware/2lib/2auxfw_sync.c \
	firmware/2lib/2common.c \
	firmware/2lib/2context.c \
	firmware/2lib/2crc8.c \
	firmware/2lib/2crypto.c \
	firmware/2lib/2ec_sync.c \
	firmware/2lib/2firmware.c \
	firmware/2lib/2gbb.c \
	firmware/2lib/2hmac.c \
	firmware/2lib/2kernel.c \
	firmware/2lib/2misc.c \
	firmware/2lib/2nvstorage.c \
	firmware/2lib/2packed_key.c \
	firmware/2lib/2recovery_reasons.c \
	firmware/2lib/2rsa.c \
	firmware/2lib/2secdata_firmware.c \
	firmware/2lib/2secdata_fwmp.c \
	firmware/2lib/2secdata_kernel.c \
	firmware/2lib/2sha1.c \
	firmware/2lib/2sha256.c \
	firmware/2lib/2sha512.c \
	firmware/2lib/2sha_utility.c \
	firmware/2lib/2struct.c \
	firmware/2lib/2stub_hwcrypto.c \
	firmware/2lib/2tpm_bootmode.c \
	firmware/lib/cgptlib/cgptlib.c \
	firmware/lib/cgptlib/cgptlib_internal.c \
	firmware/lib/cgptlib/crc32.c \
	firmware/lib/gpt_misc.c \
	firmware/lib/vboot_api_kernel.c \
	firmware/lib/vboot_kernel.c \
	firmware/lib20/api_kernel.c \
	firmware/lib20/kernel.c

# TPM lightweight command library
ifeq ($(filter-out 0,${TPM2_MODE}),)
TLCL_SRCS = \
	firmware/lib/tpm_lite/tlcl.c
else
# TODO(apronin): tests for TPM2 case?
TLCL_SRCS = \
	firmware/lib/tpm2_lite/tlcl.c \
	firmware/lib/tpm2_lite/marshaling.c

## vboot-utils 0~R99-14469.B

=== debian/changelog ===
vboot-utils (0~R99-14469.B-1) unstable; urgency=medium

  * New upstream version 0~R99-14469.B
  * Refresh patches
  * Update debian/copyright
  * Add missing build-dep libflashrom-dev
  * Upgrade to use llvm-toolchain-13 (Closes: #1000916)
  * Bump Standards-Version to 4.6.0
  * Use debhelper-compat 13

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Feb 2022 14:32:56 +0100

=== debian/control ===
Source: vboot-utils
Section: admin
Priority: optional
Maintainer: Sophie Brun <sophie@offensive-security.com>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               clang-13,
	       libflashrom-dev,
               libfuzzer-11-dev,
               liblzma-dev,
               libssl-dev,
               libyaml-dev,
               pkg-config,
               uuid-dev,
# tests/subprocess_tests.c
               bc,
# tests/external_rsa_signer.sh
               openssl
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/vboot-utils.git
Vcs-Browser: https://salsa.debian.org/debian/vboot-utils
Homepage: https://chromium.googlesource.com/chromiumos/platform/vboot_reference

Package: vboot-utils
Architecture: amd64 arm64 armel armhf i386
Multi-Arch: foreign
Depends: vboot-kernel-utils, ${misc:Depends}, ${shlibs:Depends}
Recommends: cgpt
Pre-Depends: ${misc:Pre-Depends}
Description: Chrome OS verified u-boot utilities
 This package contains a set of tools to deal with Chromebook internals,
 and the verified version of u-boot. Namely:
 bmpblk_font bmpblk_utility chromeos-tpm-recovery crossystem dev_debug_vboot
 dev_make_keypair dumpRSAPublicKey eficompress efidecompress enable_dev_usb_boot
 load_kernel_test pad_digest_utility signature_digest_utility tpm-nvsize
 tpm_init_temp_fix tpmc vbutil_what_key verify_data.
 .
 The programs previously included in this package: dump_fmap dump_kernel_config
 futility gbb_utility  vbutil_firmware vbutil_key vbutil_keyblock, are now
 grouped in the futility program in the package vboot-kernel-utils.
 .
 Most users don't need this package, and should look for the cgpt and
 vboot-kernel-utils packages instead.

Package: cgpt
Provides: crossystem
Architecture: amd64 arm64 armel armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GPT manipulation tool with support for Chromium OS extensions
 Cgpt is a tool to manipulate GUID Partition Table from command line. It also
 supports Chromium OS extensions enabling you to change priority for kernel
 partitions.

Package: vboot-kernel-utils
Architecture: amd64 arm64 armel armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Chrome OS verified boot utils required to sign kernels
 This package provides the futility program (including the vbutil_kernel
 program required to sign custom kernels in order to get them booted by Chrome
 OS devices (i.e. Chromebooks)).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CC = clang-13
export _machname = $(DEB_HOST_ARCH)

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	$(MAKE) V=1 DESTDIR=$$(pwd)/debian/vboot-utils install
	mkdir -p $$(pwd)/debian/cgpt/usr/bin
	mv -t $$(pwd)/debian/cgpt/usr/bin \
	        $$(pwd)/debian/vboot-utils/usr/bin/cgpt
	mkdir -p $$(pwd)/debian/vboot-kernel-utils/usr/bin
	mv -t $$(pwd)/debian/vboot-kernel-utils/usr/bin \
	        $$(pwd)/debian/vboot-utils/usr/bin/vbutil_kernel
	mv -t $$(pwd)/debian/vboot-kernel-utils/usr/bin \
	        $$(pwd)/debian/vboot-utils/usr/bin/futility
	# vboot_host.pc is useless without the static library (which
	# we could install with "make install-dev" but we currently don't)
	rm -f debian/vboot-utils/usr/lib/pkgconfig/vboot_host.pc
	rmdir --ignore-fail-on-non-empty -p debian/vboot-utils/usr/lib/pkgconfig
	rm -f debian/vboot-utils/usr/lib/libvboot_host.a

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make runtests V=1
endif

%:
	dh $@

=== debian/watch ===
version=4
opts="downloadurlmangle=s|/\+/refs/heads/release-(.*)|/\+archive/refs/heads/release-$1\.tar\.gz|g,uversionmangle=s|^|0~|,filenamemangle=s|.*/release-(.*)$|vboot-utils-$1.tar.gz|" \
https://chromium.googlesource.com/chromiumos/platform/vboot_reference/+refs \
 https://chromium.googlesource.com/chromiumos/platform/vboot_reference/\+/refs/heads/release-(.*)

## vboot-utils 0~R106

=== Makefile ===
--- 
+++ 
@@ -237,7 +237,7 @@
 
 # Code coverage
 ifneq ($(filter-out 0,${COV}),)
-  COV_FLAGS = -O0 --coverage -DCOVERAGE
+  COV_FLAGS = -Og --coverage -DCOVERAGE
   CFLAGS += ${COV_FLAGS}
   LDFLAGS += ${COV_FLAGS}
   COV_INFO = ${BUILD}/coverage.info
@@ -273,6 +273,13 @@
 ifneq ($(filter-out 0,${HAVE_LIBZIP}),)
   CFLAGS += -DHAVE_LIBZIP $(shell ${PKG_CONFIG} --cflags libzip)
   LIBZIP_LIBS := $(shell ${PKG_CONFIG} --libs libzip)
+endif
+
+LIBARCHIVE_VERSION := $(shell ${PKG_CONFIG} --modversion libarchive 2>/dev/null)
+HAVE_LIBARCHIVE := $(if ${LIBARCHIVE_VERSION},1)
+ifneq ($(filter-out 0,${HAVE_LIBARCHIVE}),)
+  CFLAGS += -DHAVE_LIBARCHIVE $(shell ${PKG_CONFIG} --cflags libarchive)
+  LIBARCHIVE_LIBS := $(shell ${PKG_CONFIG} --libs libarchive)
 endif
 
 HAVE_CROSID := $(shell ${PKG_CONFIG} --exists crosid && echo 1)
@@ -369,6 +376,7 @@
 	firmware/2lib/2gbb.c \
 	firmware/2lib/2hmac.c \
 	firmware/2lib/2kernel.c \
+	firmware/2lib/2load_kernel.c \
 	firmware/2lib/2misc.c \
 	firmware/2lib/2nvstorage.c \
 	firmware/2lib/2packed_key.c \
@@ -388,17 +396,3 @@
 	firmware/lib/cgptlib/cgptlib_internal.c \
 	firmware/lib/cgptlib/crc32.c \
 	firmware/lib/gpt_misc.c \
-	firmware/lib/vboot_api_kernel.c \
-	firmware/lib/vboot_kernel.c \
-	firmware/lib20/api_kernel.c \
-	firmware/lib20/kernel.c
-
-# TPM lightweight command library
-ifeq ($(filter-out 0,${TPM2_MODE}),)
-TLCL_SRCS = \
-	firmware/lib/tpm_lite/tlcl.c
-else
-# TODO(apronin): tests for TPM2 case?
-TLCL_SRCS = \
-	firmware/lib/tpm2_lite/tlcl.c \
-	firmware/lib/tpm2_lite/marshaling.c

## vboot-utils 0~R106-15054.B

=== debian/changelog ===
vboot-utils (0~R106-15054.B-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:44 +1100

vboot-utils (0~R106-15054.B-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:10:00 +0000

vboot-utils (0~R106-15054.B-2) unstable; urgency=medium

  * Upgrade to llvm-toolchain 17

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jan 2024 18:02:11 +0100

vboot-utils (0~R106-15054.B-1) unstable; urgency=medium

  * New upstream version 0~R106-15054.B
  * Switch to llvm-toolchain-14 (Closes: 1017658)
  * Install shflags and add missing dep flashrom (Closes: #1017099)
  * Bump Standards-Version to 4.6.1 (no changes)
  * Refresh patches
  * Do not run dh_dwz
  * Update debian/copyright
  * Run all the tests and add missing (build)deps: coreboot-utils, xxd

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Sep 2022 14:30:08 +0200

vboot-utils (0~R99-14469.B-2) unstable; urgency=medium

  * Fix switch to llvm-toolchain-13: use libfuzzer-13-dev (Closes: #1000916)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Jul 2022 11:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: vboot-utils
 Section: admin
 Priority: optional
-Maintainer: Sophie Brun <sophie@offensive-security.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sophie Brun <sophie@offensive-security.com>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
-               clang-13,
+               clang-17,
 	       libflashrom-dev,
-               libfuzzer-11-dev,
+               libfuzzer-17-dev,
                liblzma-dev,
                libssl-dev,
                libyaml-dev,
                pkg-config,
                uuid-dev,
+#tests/futility/test_sign_firmware.sh
+	       coreboot-utils,
+	       xxd,
 # tests/subprocess_tests.c
                bc,
 # tests/external_rsa_signer.sh
                openssl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/vboot-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/vboot-utils
 Homepage: https://chromium.googlesource.com/chromiumos/platform/vboot_reference
@@ -24,8 +28,8 @@
 Package: vboot-utils
 Architecture: amd64 arm64 armel armhf i386
 Multi-Arch: foreign
-Depends: vboot-kernel-utils, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cgpt
+Depends: flashrom, vboot-kernel-utils, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cgpt, coreboot-utils
 Pre-Depends: ${misc:Pre-Depends}
 Description: Chrome OS verified u-boot utilities
  This package contains a set of tools to deal with Chromebook internals,
@@ -46,7 +50,7 @@
 Provides: crossystem
 Architecture: amd64 arm64 armel armhf i386
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, flashrom
 Pre-Depends: ${misc:Pre-Depends}
 Description: GPT manipulation tool with support for Chromium OS extensions
  Cgpt is a tool to manipulate GUID Partition Table from command line. It also
@@ -55,7 +59,7 @@
 
 Package: vboot-kernel-utils
 Architecture: amd64 arm64 armel armhf i386
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, flashrom, coreboot-utils
 Pre-Depends: ${misc:Pre-Depends}
 Description: Chrome OS verified boot utils required to sign kernels
  This package provides the futility program (including the vbutil_kernel

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export CC = clang-13
+export CC = clang-17
 export _machname = $(DEB_HOST_ARCH)
 
 override_dh_auto_build:
@@ -28,5 +28,9 @@
 	make runtests V=1
 endif
 
+override_dh_dwz:
+	# do not run dh_dwz. Since clang 14 it fails with
+	# "Unknown debugging section .debug_addr"
+
 %:
 	dh $@

## vboot-utils 0~R106-15054.B+dfsg

=== debian/changelog ===
vboot-utils (0~R106-15054.B+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Exclude non-free files (Closes: #1081675)
  * Upgrade to llvm-toolchain 19 (Closes: #1084077)

 -- Bastian Germann <bage@debian.org>  Thu, 21 Nov 2024 13:20:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: vboot-utils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sophie Brun <sophie@offensive-security.com>
+Maintainer: Sophie Brun <sophie@offensive-security.com>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
-               clang-17,
-	       libflashrom-dev,
-               libfuzzer-17-dev,
+               clang-19,
+               libflashrom-dev,
+               libfuzzer-19-dev,
                liblzma-dev,
                libssl-dev,
                libyaml-dev,
                pkg-config,
                uuid-dev,
 #tests/futility/test_sign_firmware.sh
-	       coreboot-utils,
-	       xxd,
+               coreboot-utils,
+               xxd,
 # tests/subprocess_tests.c
                bc,
 # tests/external_rsa_signer.sh

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export CC = clang-17
+export CC = clang-19
 export _machname = $(DEB_HOST_ARCH)
 
 override_dh_auto_build:
@@ -25,7 +25,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make runtests V=1
+	make rununittests runtestscripts V=1
 endif
 
 override_dh_dwz:

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,downloadurlmangle=s|/\+/refs/heads/release-(.*)|/\+archive/refs/heads/release-$1\.tar\.gz|g,uversionmangle=s|^|0~|,filenamemangle=s|.*/release-(.*)$|vboot-utils-$1.tar.gz|" \
https://chromium.googlesource.com/chromiumos/platform/vboot_reference/+refs \
 https://chromium.googlesource.com/chromiumos/platform/vboot_reference/\+/refs/heads/release-(.*)
